<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SiteCategorySearch StructType
 * @subpackage Structs
 */
class SiteCategorySearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SiteCategorySearchBasic
     */
    public $basic;
    /**
     * The shopperJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerSearchBasic
     */
    public $shopperJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $userJoin;
    /**
     * Constructor method for SiteCategorySearch
     * @uses SiteCategorySearch::setBasic()
     * @uses SiteCategorySearch::setShopperJoin()
     * @uses SiteCategorySearch::setUserJoin()
     * @param \StructType\SiteCategorySearchBasic $basic
     * @param \StructType\CustomerSearchBasic $shopperJoin
     * @param \StructType\EmployeeSearchBasic $userJoin
     */
    public function __construct(\StructType\SiteCategorySearchBasic $basic = null, \StructType\CustomerSearchBasic $shopperJoin = null, \StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setShopperJoin($shopperJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\SiteCategorySearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\SiteCategorySearchBasic $basic
     * @return \StructType\SiteCategorySearch
     */
    public function setBasic(\StructType\SiteCategorySearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get shopperJoin value
     * @return \StructType\CustomerSearchBasic|null
     */
    public function getShopperJoin()
    {
        return $this->shopperJoin;
    }
    /**
     * Set shopperJoin value
     * @param \StructType\CustomerSearchBasic $shopperJoin
     * @return \StructType\SiteCategorySearch
     */
    public function setShopperJoin(\StructType\CustomerSearchBasic $shopperJoin = null)
    {
        $this->shopperJoin = $shopperJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchBasic $userJoin
     * @return \StructType\SiteCategorySearch
     */
    public function setUserJoin(\StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
